//********************************************
// Plan.h
//
// Ravi Murthy 
//*********************************************

#ifdef    WITH_PERSISTENCE
#ifndef _Plan_H_
#define _Plan_H_
#include <unistd.h>
#include <string.h>
#include <math.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <limits.h>
#include <ctype.h>

#include <sys/time.h>
#include <sys/resource.h>

#include "Solvers.h"

#include "Config.h"
#include "Globals.h"
#include "CoralError.h"
#include "Interface.h"

#include "ArgList.h"
//#include "FuncArg.h"
#include "BuiltinSymbols.h"
#include "TupleIterator.h"
#include "Tuple.h"
#include "Term.h"
#include "BindEnv.h"
#include "HashSimpleRelation.h"
#include "Execute.h"
#include "DerivedRelation.h"
#include "BuiltinUtil.h"
#include "GlobalBuiltinVars.h"
#include "Util.h"
#include "Database.h"
#include "CoralBreak.h"
#include "Suspend.h"
#include "Suspension.h"
#include "ConnectArray.h"
#include "QFMaterializedModuleData.h"
#include "ClientProtocol.h"

#include "PersistentRelation.h"

#include "ExtJoin.h"

Cor_ExtJoin *create_plan(Cor_TupleIterator& it);

#endif
#endif // WITH_PERSISTENCE
