
/*
 * Example of the use of open_scan() function.
 */

#include <iostream.h>

int main(int argc, char **argv)
{
    cout << "scan5.S: Demonstrating open_scan().\n";

    init_coral(argv[0]);
  
    \[
      clear(interactive_mode).
    \]

    // Enter some sample data (with functors
    \[
      myset( f(a,2,4) ).
      myset( f() ).
      myset( f(m,5) ).
      myset( f([],[]) ).
      myset( f(5.5,{}) ).
    \]

      // Scan the whole relation
    Cor_ScanDesc *scan = open_scan("myset(f(_,_)).");

    ASSERT(scan);

    Cor_Tuple *tuple;

      // Iterate over the tuples in the relation
    for (tuple = scan->next_tuple(); !(scan->no_match());
                     tuple = scan->next_tuple()) {

          // Print them out as tuples 
        cout << "myset(" << *tuple << ").\n";
    }

    exit_coral();

    return(0);
}

