// *************************************************************************
//    DerivedMethod.h
// *************************************************************************

#ifndef _DerivedMethod_H_
#define _DerivedMethod_H_

#include "BitVector.h"
#include "StorageRelation.h"
#include "Debug.h"

// *************************************************************************

class Cor_QFModuleData;

// *************************************************************************
// Map adornment to a routine for solving a query with that adornment.

struct Cor_DerivedMethod {
    Cor_DerivedMethod   *next;
    Cor_BitVector        adornment;
    InterpDerivedSolver  interp_solver;
    Cor_QFModuleData    *md;    // Redundant when using the compiled form 
    int                  valid_method;

    Cor_DerivedMethod(Cor_CArg&, Cor_BitVector&, InterpDerivedSolver,
            Cor_QFModuleData *);
   ~Cor_DerivedMethod();
};

// *************************************************************************

#endif _DerivedMethod_H_
