//**************************************************************************
//    LocalConnectArray.h
//
//    The LocalConnectArray Class - A class derived from ConnectArray to
//    have a single entry, the console user.
//
//**************************************************************************

#ifndef    _LOCALCONNECTARRAY_H
#define    _LOCALCONNECTARRAY_H

#include "ConnectArray.h"

//**************************************************************************

class Cor_LocalConnectArray : public Cor_ConnectArray {

public:

      // Constructor
    Cor_LocalConnectArray();
   ~Cor_LocalConnectArray();
   
    int is_local() { return(1); }
 
      // Make a new connection
    int NewConnection() { return(-1); }

      // Delete a connection
    void DeleteConnection(int /* conn_indx */) { };

      // Establish a connection for Explain
    int ExplainConnection();

      // Get the next connection with data and set it up to run
    int NextConn() { return(1); }

      // List users for the connection specified, if conn is Null, list all
      // users on all connections
    int ListWho(CoralStream *strm, Cor_Connection *conn = NULL);
};

// *************************************************************************

#endif    _LOCALCONNECTARRAY_H
