#include "RdbDeleteVersions.h"


RdbDelete& RdbDeleteVersions::Lookup( BitVector& adorn )
{
    int count = deleteList.Size();
    for( int i = 0 ; i < count ; i++ ) {
	if( deleteList[i]->Adornment() == adorn )
	  return *deleteList[i];
    }
    // a query with this adornment does not exist, create it.
    RdbDelete* del = rel.NewDelete(adorn);
    deleteList.Append(del);
    return *del;
}
