// *************************************************************************
//    PredicateList.h
// *************************************************************************

#ifndef _PredicateList_H_
#define _PredicateList_H_

#include "Predicate.h"

struct list_node_t {
    list_node_t *next;
    Cor_Predicate *data;
};

class Cor_PredicateList {
private:
    int size;
    list_node_t *head;
    list_node_t *tail;
    list_node_t *curr;
    
public:
    Cor_PredicateList();
   ~Cor_PredicateList();

    void append(Cor_Predicate *item);
    Cor_Predicate *get_next(void);
    void reset(void);
    
    int empty(void) {return (size == 0);}

    void print(void);
};

#endif // _PredicateList_H_
